Package com.google.gwt.aria.client

## Interface CompositeRole

- All Superinterfaces:
    `Role`, `WidgetRole`
  All Known Subinterfaces:
    `ComboboxRole`, `GridRole`, `ListboxRole`, `MenubarRole`, `MenuRole`, `RadiogroupRole`, `SelectRole`, `TablistRole`, `TreegridRole`, `TreeRole`
  All Known Implementing Classes:
    `ComboboxRoleImpl`, `GridRoleImpl`, `ListboxRoleImpl`, `MenubarRoleImpl`, `MenuRoleImpl`, `RadiogroupRoleImpl`, `TablistRoleImpl`, `TreegridRoleImpl`, `TreeRoleImpl`

      public interface CompositeRole
      extends WidgetRole

  A type that represents the composite role in the ARIA specification.
  See Also:
    `Role`, `Roles`

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.String` | `getAriaActivedescendantProperty​(Element element)` | Returns the value of the aria-activedescendant attribute for the `element` or "" if no such attribute is present.
    `void` | `removeAriaActivedescendantProperty​(Element element)` | Removes the aria-activedescendant attribute from the `element`.
    `void` | `setAriaActivedescendantProperty​(Element element, Id value)` | Sets the aria-activedescendant attribute for the `element` to the given `value`.

    - ### Methods inherited from interface com.google.gwt.aria.client.Role

      `getAriaAtomicProperty, getAriaBusyState, getAriaControlsProperty, getAriaDescribedbyProperty, getAriaDisabledState, getAriaDropeffectProperty, getAriaFlowtoProperty, getAriaGrabbedState, getAriaHaspopupProperty, getAriaHiddenState, getAriaInvalidState, getAriaLabelledbyProperty, getAriaLabelProperty, getAriaLiveProperty, getAriaOwnsProperty, getAriaRelevantProperty, getName, getTabindexExtraAttribute, remove, removeAriaAtomicProperty, removeAriaBusyState, removeAriaControlsProperty, removeAriaDescribedbyProperty, removeAriaDisabledState, removeAriaDropeffectProperty, removeAriaFlowtoProperty, removeAriaGrabbedState, removeAriaHaspopupProperty, removeAriaHiddenState, removeAriaInvalidState, removeAriaLabelledbyProperty, removeAriaLabelProperty, removeAriaLiveProperty, removeAriaOwnsProperty, removeAriaRelevantProperty, removeTabindexExtraAttribute, set, setAriaAtomicProperty, setAriaBusyState, setAriaControlsProperty, setAriaDescribedbyProperty, setAriaDisabledState, setAriaDropeffectProperty, setAriaFlowtoProperty, setAriaGrabbedState, setAriaHaspopupProperty, setAriaHiddenState, setAriaInvalidState, setAriaLabelledbyProperty, setAriaLabelProperty, setAriaLiveProperty, setAriaOwnsProperty, setAriaRelevantProperty, setTabindexExtraAttribute`

- - ### Method Detail

    - #### getAriaActivedescendantProperty

          java.lang.String getAriaActivedescendantProperty​(Element element)

      Returns the value of the aria-activedescendant attribute for the `element` or "" if no such attribute is present.

    - #### removeAriaActivedescendantProperty

          void removeAriaActivedescendantProperty​(Element element)

      Removes the aria-activedescendant attribute from the `element`.

    - #### setAriaActivedescendantProperty

          void setAriaActivedescendantProperty​(Element element,
                                               Id value)

      Sets the aria-activedescendant attribute for the `element` to the given `value`.